> For the complete documentation index, see [llms.txt](https://legacy-docs.aragon.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/transactionintent.md).

# TransactionIntent

{% hint style="info" %}
An intent describing an action in the organization. It provides methods to retrieve the transaction path or the set of transactions necessary for executing the action.
{% endhint %}

## Methods <a href="#methods" id="methods"></a>

### TransactionIntent#transactions(account) <a href="#transactionintent-transactions-account" id="transactionintent-transactions-account"></a>

Get the transactions to execute for the shortest transaction path.

This is an easier way to do `TransactionIntent.paths(account)[0].transactions`

| Name      | Type                            | Description                                                      |
| --------- | ------------------------------- | ---------------------------------------------------------------- |
| `account` | `String`                        | The account that will sign the transaction.                      |
| returns   | `Promise<TransactionRequest[]>` | The transactions corresponding to the shortest transaction path. |

### TransactionIntent#paths(account)

Get the shortest transaction path for a given address. Note, `TransactionIntent#transactions()` can be called directly.

| Name      | Type                         | Description                                  |
| --------- | ---------------------------- | -------------------------------------------- |
| `account` | `String`                     | The account that will sign the transaction.  |
| returns   | `Promise<TransactionPath[]>` | Array of all the possible transaction paths. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/transactionintent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
